Bug 802124 - make rpm and srpm uses `git ls-files` to populate which files to compress.
make rpm and srpm uses `git ls-files` to populate which files to compress.
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-installer (Show other bugs)
unspecified
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: Ofer Schreiber
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-11 10:01 EDT by Raboo
Modified: 2012-12-17 02:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-17 02:26:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raboo 2012-03-11 10:01:47 EDT
I wanna create rpms from the source, latest stable tarball.

[root@virtual ovirt-engine]# make rpm
tar zcf ovirt-engine-3.0.0_0001.tar.gz `git ls-files`
fatal: Not a git repository (or any of the parent directories): .git
tar: Cowardly refusing to create an empty archive
Try `tar --help' or `tar --usage' for more information.
make: *** [ovirt-engine-3.0.0_0001.tar.gz] Error 2

[root@virtual ovirt-engine]# make srpm
tar zcf ovirt-engine-3.0.0_0001.tar.gz `git ls-files`
fatal: Not a git repository (or any of the parent directories): .git
tar: Cowardly refusing to create an empty archive
Try `tar --help' or `tar --usage' for more information.
make: *** [ovirt-engine-3.0.0_0001.tar.gz] Error 2

Problem is I did not fetch ovirt git repo.
Shouldn't tar populate the files it should tar in some other way perhaps?
Comment 1 Ofer Schreiber 2012-05-08 03:59:47 EDT
`git ls-files` is the best option so far.
If you'd like to create new rpm, you probably want to use git.
Comment 2 Itamar Heim 2012-12-17 02:26:14 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.